Batch Create Resident Charges: ResMan
https://api.propexo.com/v1/resident-charges/batch/resman/Creates multiple resident charges in one job.
| Interface | Method |
|---|---|
| Accounts Receivable | /MITS/PostResidentTransactions2_0 |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the integration
charges object[]required
Array of resident charges. Each item includes the resident to post the charge for. All charges must belong to the same ResMan property.
Possible values: >= 1
The Propexo unique identifier for the resident
The Propexo unique identifier for the charge code
An identifier for the transaction batch. This should be unique to your system.
The transaction date of the resident charge
Description of the resident charge
Notes associated with the resident charge
The amount of the resident charge, in cents
The reference number for the resident charge
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
charges object[]required
The Propexo unique identifier for the resident
The Propexo unique identifier for the charge code
An identifier for the transaction batch. This should be unique to your system.
The transaction date of the resident charge
Description of the resident charge
Notes associated with the resident charge
The amount of the resident charge, in cents
The reference number for the resident charge
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-charges/batch/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"charges": [
{
"resident_id": "string",
"charge_code_id": "string",
"batch_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"charges": [
{
"resident_id": "string",
"charge_code_id": "string",
"batch_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}
]
}
}